# Generated by Django 2.1.1 on 2018-10-20 06:22

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('program', '0001_initial'),
        ('donasi', '0002_item_donatur_ingin_diperlihatkan'),
    ]

    operations = [
        migrations.RenameField(
            model_name='item',
            old_name='donatur_ingin_diperlihatkan',
            new_name='anonymous',
        ),
        migrations.RenameField(
            model_name='item',
            old_name='jumlah_uang',
            new_name='name',
        ),
        migrations.RemoveField(
            model_name='item',
            name='nama_lengkap',
        ),
        migrations.RemoveField(
            model_name='item',
            name='nama_program',
        ),
        migrations.AddField(
            model_name='item',
            name='amount',
            field=models.PositiveIntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='item',
            name='program',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='program.Program'),
        ),
    ]
